# GamePhaseBuilder

class GamePhaseBuilder(length: Long)
Content copied to clipboard

## Functions

build
Link copied to clipboard
fun build(): GamePhase
Content copied to clipboard
counterMessage
Link copied to clipboard
fun counterMessage(callback: (Long) -> String)
Content copied to clipboard
fun counterMessage(beforeTime: String?, afterTime: String?, hours: String, minutes: String, seconds: String)
Content copied to clipboard
end
Link copied to clipboard
fun end(callback: () -> Unit)
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
start
Link copied to clipboard
fun start(callback: () -> Unit)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

length
Link copied to clipboard
val length: Long
Content copied to clipboard